Last Comment Bug 662000 - Remove XPC_IDISPATCH_SUPPORT
: Remove XPC_IDISPATCH_SUPPORT
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Matheus Kerschbaum
:
Mentors:
Depends on:
Blocks: 662023
  Show dependency treegraph
 
Reported: 2011-06-03 20:07 PDT by Matheus Kerschbaum
Modified: 2011-08-09 02:37 PDT (History)
4 users (show)
matjk7: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
part 1: Remove interfaces and tests (386.92 KB, patch)
2011-06-03 20:15 PDT, Matheus Kerschbaum
mrbkap: review+
bugspam.Callek: checkin+
Details | Diff | Review
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect (42.62 KB, patch)
2011-06-03 20:17 PDT, Matheus Kerschbaum
mrbkap: review+
Details | Diff | Review
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect (43.09 KB, patch)
2011-06-13 13:54 PDT, Matheus Kerschbaum
matjk7: review+
Details | Diff | Review
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect (43.09 KB, patch)
2011-06-14 14:22 PDT, Matheus Kerschbaum
matjk7: review+
Details | Diff | Review
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect (42.47 KB, patch)
2011-06-21 18:49 PDT, Matheus Kerschbaum
matjk7: review+
bugspam.Callek: checkin+
Details | Diff | Review

Description Matheus Kerschbaum 2011-06-03 20:07:22 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:7.0a1) Gecko/20110603 Firefox/7.0a1
Build Identifier: 

Obsolete API that only serves to support the soon to be removed ActiveX embedding API.

Reproducible: Always
Comment 1 Matheus Kerschbaum 2011-06-03 20:15:59 PDT
Created attachment 537292 [details] [diff] [review]
part 1: Remove interfaces and tests
Comment 2 Matheus Kerschbaum 2011-06-03 20:17:11 PDT
Created attachment 537294 [details] [diff] [review]
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect
Comment 3 Blake Kaplan (:mrbkap) (please use needinfo!) 2011-06-13 08:09:47 PDT
Comment on attachment 537294 [details] [diff] [review]
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect

Review of attachment 537294 [details] [diff] [review]:
-----------------------------------------------------------------

::: js/src/xpconnect/src/xpcinlines.h
@@ +270,5 @@
>  
>  inline JSBool
>  XPCCallContext::HasInterfaceAndMember() const
>  {
> +    return mState >= HAVE_NAME && mInterface && (mMember);

Nitpick: no need for the parens around mMember here.

::: js/src/xpconnect/src/xpcthrower.cpp
@@ +183,2 @@
>          {
>              id = ccx.GetMember()->GetName();

This can become |jsid id = ccx.GetMember()->GetName();| now.

::: js/src/xpconnect/src/xpcwrappednative.cpp
@@ +360,1 @@
>          identity = helper.GetCanonical();

Combine these two lines into one.

@@ +825,1 @@
>              identity = do_QueryInterface(Object);

Ditto.
Comment 4 Matheus Kerschbaum 2011-06-13 13:54:37 PDT
Created attachment 539001 [details] [diff] [review]
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect

Updated per review comments.
Comment 6 :Ehsan Akhgari (out sick) 2011-06-13 21:18:51 PDT
The push broke the build, so I backed out all of its changesets (although I highly suspect that this bug was the culprit).
Comment 7 Ed Morley [:emorley] 2011-06-14 02:41:30 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1308024044.1308025082.27561.gz#err0

/builds/slave/cen-osx64/build/js/src/xpconnect/src/xpcthrower.cpp:183: warning: unused variable 'id'
/builds/slave/cen-osx64/build/js/src/xpconnect/src/xpcthrower.cpp:186: error: 'id' was not declared in this scope

In this hunk:
https://bugzilla.mozilla.org/attachment.cgi?id=539001&action=diff#a/js/src/xpconnect/src/xpcthrower.cpp_sec1

Caused by the braces around:
| jsid id = ccx.GetMember()->GetName(); |


Anyway, good riddance to ActiveX! :-)
Comment 8 Matheus Kerschbaum 2011-06-14 14:22:27 PDT
Created attachment 539322 [details] [diff] [review]
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect

Thanks for noticing my mistake Ed, and sorry for breaking the tree!

I pushed this updated patch to try (http://tbpl.mozilla.org/?tree=Try&rev=0c4e143610a7) to make sure everything is ok, but the build is failing with some really bizarre errors (http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/matjk7@gmail.com-0c4e143610a7/try-linux64/try-linux64-build525.txt.gz).

Am I doing something stupid or is the buildbot just screwing with me?
Comment 9 Matheus Kerschbaum 2011-06-14 18:56:30 PDT
Try was ok with this when I pushed again, so setting checkin-needed.
Comment 10 Matheus Kerschbaum 2011-06-21 18:49:30 PDT
Created attachment 540949 [details] [diff] [review]
part 2: Remove XPC_IDISPATCH_SUPPORT from the build-system and XPConnect

Updated to tip.
Comment 11 :Ehsan Akhgari (out sick) 2011-06-22 11:36:50 PDT
Landed on inbound.

Note You need to log in before you can comment on or make changes to this bug.